# Account

- [Generating L2 Key Pairs](https://docs.tanx.fi/tech/api-documentation/account/generating-l2-key-pairs.md)
- [Login](https://docs.tanx.fi/tech/api-documentation/account/login.md)
- [Withdrawal](https://docs.tanx.fi/tech/api-documentation/account/withdrawal.md)
- [Profile Information](https://docs.tanx.fi/tech/api-documentation/account/profile-information.md): Get your profile info
- [Balance details](https://docs.tanx.fi/tech/api-documentation/account/balance-details.md): Get your balance details.
- [Profit and loss details](https://docs.tanx.fi/tech/api-documentation/account/profit-and-loss-details.md): Get profit and loss details (Private 🔒)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tanx.fi/tech/api-documentation/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
